RelayAPI

Update a contact

PATCH
/v1/contacts/{id}
AuthorizationBearer <token>

API key (rlay_live_* or rlay_test_*)

In: header

Path Parameters

id*string

Contact ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PATCH "https://example.com/v1/contacts/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "string",  "name": "string",  "email": "string",  "phone": "string",  "tags": [    "string"  ],  "opted_in": true,  "channels": [    {      "id": "string",      "social_account_id": "string",      "platform": "string",      "identifier": "string",      "created_at": "2019-08-24T14:15:22Z"    }  ],  "segment_ids": [    "string"  ],  "metadata": {    "property1": null,    "property2": null  },  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z"}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}

Found something wrong? Help us improve this page.

Submit an Issue
Requires a GitHub account.View repo